import usePolling from "../util/Polling"

const uri = '/api/leaderboard';

export function LeaderboardApi(polling, dispatchPolling) {

    const useGet = () => {
        const mode = (polling.enabled === true)
            ? { interval_sec: 300 }     // update leaderbord stats every 5 min
            : { interval_stop: true }   // user has fliped OfflineToggel

        const [leaderboard, isFetching] = usePolling(uri, mode);

        if (polling.leaderboard !== isFetching) {
            dispatchPolling({ type: 'setLeaderboard', value: isFetching });
        }

        return leaderboard;
    }

    return {
        get: useGet
    }
}